GET api/RDO

Gets paged RDO types (bypass = direct DB, else SignalR). Adds pagination header.

Request Information

URI Parameters

(i.e.queryString parameters in the form ?param1={param1}&param2={param2})

NameDescriptionTypeAdditional information
page

Page index (>=1).

integer

Default value is 1

pageSize

Page size (>=1, default 1000).

integer

Default value is 1000

Body Parameters

None.

Response Information

Resource Description

Paged RDO types or error response.

PagedObjectOfRdoView
NameDescriptionTypeAdditional information
Items

Collection of RdoView

None.

PageInfo

PagedListPageInfo

None.

Response Formats

application/json, text/json

Sample:
{
  "items": [
    {
      "idRDO": 2,
      "rdoCode": "sample string 3",
      "rdoDescription": "sample string 4"
    },
    {
      "idRDO": 2,
      "rdoCode": "sample string 3",
      "rdoDescription": "sample string 4"
    }
  ],
  "pageInfo": {
    "page": 1,
    "pageSize": 2,
    "totalCount": 3,
    "totalPages": 4,
    "countThisPage": 5,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "errorMessage": "sample string 8"
  }
}

application/xml, text/xml

Sample:
<PagedObjectOfRdoView xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Items>
    <RdoView>
      <InternalId>1</InternalId>
      <IdRDO>2</IdRDO>
      <RDOCode>sample string 3</RDOCode>
      <RDODescription>sample string 4</RDODescription>
    </RdoView>
    <RdoView>
      <InternalId>1</InternalId>
      <IdRDO>2</IdRDO>
      <RDOCode>sample string 3</RDOCode>
      <RDODescription>sample string 4</RDODescription>
    </RdoView>
  </Items>
  <PageInfo>
    <Page>1</Page>
    <PageSize>2</PageSize>
    <TotalCount>3</TotalCount>
    <TotalPages>4</TotalPages>
    <CountThisPage>5</CountThisPage>
    <HasPreviousPage>true</HasPreviousPage>
    <HasNextPage>true</HasNextPage>
    <ErrorMessage>sample string 8</ErrorMessage>
  </PageInfo>
</PagedObjectOfRdoView>